# GSL: Statique Littérateur

$ gsl (ARG)
  readme                  : Show README.md instructions
  help | -h (OPT)         : This Help and how to
    install | -i          : Show process installation
    authors | -a          : Add/Remove authors for this DOMAIN
    setdir | -d           : Set a directory for article's DOMAIN
    write | -w            : Write a Post
    param | -p            : Configure some parameters
    css                   : Show used CSS classes
    tips | -t             : Show tips and advises you should know

  new | -N                : Generic OPT to add/create
    domain                : Configure your DOMAIN
    author                : Same as gsl author edit
    (TYPE) (NAME)         : Create an article with (TYPE) named (NAME).gsl
                          : (TYPE) can be 'page' or 'post'
  
  setdir | -D             : Show current directory DOMAIN or set it

  log | -L (OPT)          : Show logs from all sessions
    clean | -C            : Logs saved to {DATE}.gsl.log and cleaned
      all                 : clean all saved logs, keep current
    -i | -w | -e          : from levels (infos, warnings, errors)
    -s                    : from last session only
    (TERM)                : (TERM) : case insensitive, regex 'T1.*T2'
                            (i.e. $ gsl log -e -s code)

  author | -A             : List authors from DOMAIN in PWD folder
    edit                  : Add/Remove ! ONE author per line

  edit | -E               : Open in default EDITOR (FILE) or with nano
    conf                  : Domain configuration file
    author                : Same as gsl author edit
    domain                : Domains registred database
    (FILE)                : (FILE) ; .gsl

  db (FILE)               : Show DB datas from (FILE)

  sync (OPT)              : Sync Templates to www and wip
    wip                   : Only to wip server (also done with make)
    www                   : Only to www server (also done with www)
    

  check | -C (OPTI)       : Check Post(s) errors from PWD folder
    -N                    : Check only articles not in DB
    -F                    : Force Check again ; Create Database
    (FILE)                : Only this (FILE)
    
  make | -M (OPTIONS)     : Make all HTML articles or only (FILE)
    -F                    : Force Make again
    (FILE)                : Only this (FILE)

  www (OPT1) (OPT2)       : Add/Remove Post(s) in www server
    (OPT1):
      sync                : Same as "sync www"
      add                 : Add (OPT2) to www server 
      remove              : remove (OPT2) from www server
    (OPT2):
      all                 : Select all post with wip statuses (FORCE !)
      (FILE)              : Select specific post (if wip status)
  
  wip                     : Same as www for wip server
    add                   : Same as make -F (i.e. gsl wip add all)
  
  sidebar | -S            : Show Posts in list (ARG) (POS) (FILE)
    (ARG):
      add | -a            : Put article at (POS). Remove last, roll from (POS)
      replace | -r        : Replace (POS) with article
      latest | -l         : Create sidebar with latest (remove all existing)
      oldest | -o         : Same as above, but with oldest first
      
  -v                      : Show local versionn
  --version               : Like -v + changes
  -vv                     : Shown local and repo Versions
